function liveviewCAA(hObject, eventdata, Empty_Button, AxesC, AxesA, AxesSOLC, AxesSOLA, uonoff, uonoffC, lcs, plotoptions)
data = get(Empty_Button,'UserData');
if (data.motion == 0) && (data.motionC == 0)
    return;
end

if (data.isAFSA == 0) || (data.isAFSC == 0)
    if (isfield(data,'full') == 0) || (isfield(data.full,'isC')*isfield(data.full,'isA') == 0) || (data.full.isC*data.full.isA == 0)
        return;
    end
end

if data.motion == 0
    Axes1 = AxesC;
    Axes2 = AxesA;
    
    AFS1 = data.AFSC;
    AFS2 = data.AFSA;
    
    AxesSOL1 = AxesSOLC;
    AxesSOL2 = AxesSOLA;
    
    xl1 = data.xlc;
    xl2 = data.xla;
    yl1 = data.ylc;
    yl2 = data.yla;
    
    full.is1 = data.full.isC;
    full.AFS1 = data.full.AFSC;
    full.lines1 = data.full.linesC;
    full.valid1 = data.full.validC;
    full.dim1 = data.full.dimC;
    
    full.is2 = data.full.isA;
    full.AFS2 = data.full.AFSA;
    full.lines2 = data.full.linesA;
    full.valid2 = data.full.validA;
    full.dim2 = data.full.dimA;
    
    LR1 = data.V;
    LR2 = data.S'*data.U';
    
    lin1 = data.t;
    lin2 = data.x;
    
    fix1 = data.fixC;
    fix2 = data.fixA;
    
    mk = 'ox';
    ch = data.motionC;
    
    choosen1 = data.choosenC;
    choosen2 = data.choosen;
    
    isregcon = [0 0];    REGCON{1} = [];    REGCON{2} = [];
    if (data.regconC > 0) && (data.isregconC(data.regconC) == 1)
        isregcon(1) = 1;
        REGCON{1} = data.REGCONC{data.regconC};
    end
    if (data.regcon > 0) && (data.isregcon(data.regcon) == 1)
        isregcon(2) = 1;
        REGCON{2} = data.REGCON{data.regcon};
    end
    
    given1 = data.givenc;
    given2 = data.givena;
    
    tall = data.tcll;
    tcll = data.tall;
        
else
    Axes1 = AxesA;
    Axes2 = AxesC;
    
    AFS1 = data.AFSA;
    AFS2 = data.AFSC;
    
    AxesSOL1 = AxesSOLA;
    AxesSOL2 = AxesSOLC;
    
    xl1 = data.xla;
    xl2 = data.xlc;
    yl1 = data.yla;
    yl2 = data.ylc;
    
    full.is1 = data.full.isA;
    full.AFS1 = data.full.AFSA;
    full.lines1 = data.full.linesA;
    full.valid1 = data.full.validA;
    full.dim1 = data.full.dimA;
    
    full.is2 = data.full.isC;
    full.AFS2 = data.full.AFSC;
    full.lines2 = data.full.linesC;
    full.valid2 = data.full.validC;
    full.dim2 = data.full.dimC;
    
    LR1 = data.U*data.S;
    LR2 = data.V';
    
    lin1 = data.x;
    lin2 = data.t;
    
    fix1 = data.fixA;
    fix2 = data.fixC;
    
    mk = 'xo';
    ch = data.motion;
    
    choosen1 = data.choosen;
    choosen2 = data.choosenC;
    
    isregcon = [0 0];    REGCON{1} = [];    REGCON{2} = [];
    if (data.regcon > 0) && (data.isregcon(data.regcon) == 1)
        isregcon(1) = 1;
        REGCON{1} = data.REGCON{data.regcon};
    end
    if (data.regconC > 0) && (data.isregconC(data.regconC) == 1)
        isregcon(2) = 1;
        REGCON{2} = data.REGCONC{data.regconC};
    end
    
    given1 = data.givena;
    given2 = data.givenc;
    
    tall = data.tall;
    tcll = data.tcll;
end


pos = get(Axes1, 'Position');
pt = get(Axes1, 'CurrentPoint');
xin = pt(1,1:2);

pt = get(hObject, 'CurrentPoint');
sz = get(hObject, 'Position');
x = pt(1,1:2)./sz(1,3:4);

col = 'k';
sty = '-';
    
if (pos(1) < x(1)) && (x(1) < pos(1)+pos(3)) && (pos(2) < x(2)) && (x(2) < pos(2)+pos(4))
    [choosen2, fix2] = plotafsliveCAA(Axes1, Axes2, AxesSOL1, AxesSOL2, xl1, xl2, yl1, yl2, lin1, lin2, AFS1, AFS2, LR1, LR2,...
                                      mk, sty, lcs, fix1,fix2, xin, ch, choosen1, choosen2, isregcon, REGCON, full, data.selectplot, given1, given2, tall, tcll, data.istrace, plotoptions, min(data.motionC,1));
    if data.motion == 0
        data.choosen = choosen2;
        data.fixA = fix2;
    else
        data.choosenC = choosen2;
        data.fixC = fix2;
    end
    set(Empty_Button,'UserData',data);                          
end
